=== debian/changelog ===
mkswu (7.8) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 22 Sep 2025 10:01:44 +0900

mkswu (7.7.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Thu, 04 Sep 2025 12:26:24 +0900

mkswu (7.7) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 22 Aug 2025 13:07:25 +0900

mkswu (7.6.2) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 19 May 2025 13:15:25 +0900

mkswu (7.6.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 12 May 2025 10:30:42 +0900

mkswu (7.6) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 21 Apr 2025 14:38:30 +0900

mkswu (7.5) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 14 Apr 2025 13:20:39 +0900

mkswu (7.4) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Tue, 25 Mar 2025 09:56:35 +0900

mkswu (7.3.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Wed, 05 Mar 2025 10:37:38 +0900

mkswu (7.2) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 21 Feb 2025 10:29:29 +0900

mkswu (7.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 22 Nov 2024 16:35:53 +0900

mkswu (7.0) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 15 Nov 2024 15:04:05 +0900

mkswu (6.5) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Thu, 24 Oct 2024 17:48:14 +0900

mkswu (6.4) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 23 Aug 2024 15:24:22 +0900

mkswu (6.3) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 19 Jul 2024 09:42:56 +0900

mkswu (6.2.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Tue, 25 Jun 2024 08:51:58 +0900

mkswu (6.2) experimental; urgency=low

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Thu, 20 Jun 2024 13:43:21 +0900

mkswu (6.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 24 May 2024 10:20:27 +0900

mkswu (6.0) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 19 Apr 2024 09:19:31 +0900

mkswu (5.5) experimental; urgency=low

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 25 Mar 2024 15:20:06 +0900

mkswu (5.4.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 26 Feb 2024 15:29:50 +0900

mkswu (5.4) experimental; urgency=medium


 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 26 Feb 2024 10:41:43 +0900

mkswu (5.3) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Tue, 23 Jan 2024 13:06:13 +0900

mkswu (5.2.2) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Thu, 11 Jan 2024 17:43:56 +0900

mkswu (5.2.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Thu, 28 Dec 2023 10:26:47 +0900

mkswu (5.2) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 22 Dec 2023 15:58:34 +0900

mkswu (5.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 24 Nov 2023 09:04:41 +0900

mkswu (5.0.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Thu, 26 Oct 2023 14:42:44 +0900

mkswu (5.0) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Mon, 23 Oct 2023 14:28:43 +0900

mkswu (4.15.1) experimental; urgency=medium

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Tue, 26 Sep 2023 12:35:43 +0900

mkswu (4.15) experimental; urgency=low

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Fri, 22 Sep 2023 12:48:39 +0900

mkswu (4.14.1) experimental; urgency=low

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Thu, 27 Jul 2023 11:48:44 +0900

mkswu (4.14) experimental; urgency=low

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Tue, 25 Jul 2023 10:36:10 +0900

mkswu (4.13) experimental; urgency=low

  * upstream update (see changelog)

 -- Dominique Martinet <dominique.martinet@atmark-techno.com>  Tue, 27 Jun 2023 09:55:09 +0900

mkswu (4.12-1) experimental; urgency=low


