=== debian/control ===
Source: mkswu
Section: misc
Priority: optional
Homepage: https://github.com/atmark-techno/swupdate-mkimage
Standards-Version: 3.9.2
Maintainer: Dominique Martinet <dominique.martinet@atmark-techno.com>
Build-Depends: debhelper-compat (= 12), gettext, pandoc

Package: mkswu
Depends:
 cpio,
 zstd,
 jq,
 xxd,
 gawk,
 ${misc:Depends}
Architecture: all
Description: build SWU images for armadillo base OS
 scripts for building armadillo base OS updates
 .
 Can install OS updates, containers or arbitrary files/commands with
 the generated images.
